#include "Tablegen/Settings.hpp"

#include <utility>

namespace Tablegen
{
    std::string ToString(FontSizeUnits units)
    {
        switch (units) {
        case FontSizeUnits::Px: return "px";
        case FontSizeUnits::Em: return "em";
        default: std::unreachable();
        };
    }

    Settings Settings::Default()
    {
        return {
            .FullDocument = Flag::Enable,
            .OverrideIndentLevel = Flag::Disable,
            .IndentLevel = 0,
            .TableWidth = 90,
            .TableMargin = 5,
            .TableItemWidth = 30,
            .TableItemPadding = 2,
            .TableItemColour = RGB::FromHex("#666666"),
            .LabelFontSize = 1.75,
            .LabelFontUnits = FontSizeUnits::Em,
            .ButtonColour = RGB::FromHex("#FF6347"),
            .ButtonHoverColour = RGB::FromHex("#FFA500"),
            .ButtonAnimationLength = 0.5,
            .CharactersPerRow = 3,
            .ImageFormat = "https://3011.io/Assets/Images/Kanji/Static/{}.png",
            .AnimationFormat = "https://3011.io/Assets/Temp/{}.svg",
        };
    }
}
